#
# Conditional build:
%bcond_with	tests	# do not perform "make test"

%define		pdir	Audio
%include	/usr/lib/rpm/macros.perl
Summary:	Audio Perl module - beginnings of Audio manipulation routines from Perl
Summary(pl.UTF-8):	Moduł Perla Audio - początki funkcji do obróbki dźwięku w Perlu
Name:		perl-Audio
Version:	1.029
Release:	16
License:	GPL v2+
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{version}.tar.gz
# Source0-md5:	58b67ade294b960f617d9ccc495f07f1
Patch0:		%{name}-nas-fix.patch
Patch1:		%{name}-perl_version.patch
Patch2:		format-security.patch
URL:		http://search.cpan.org/dist/Audio/
BuildRequires:	alsa-lib-devel >= 0.9.0
BuildRequires:	nas-devel
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Audio Perl module - the beginnings of Audio manipulation routines from
Perl. It can load or save Sun/Next .au/.snd files and play them via
ALSA, Network Audio Server (from ftp://ftp.x.org/) or native Sun (or
compatible) /dev/audio.

%description -l pl.UTF-8
Moduł Perla Audio - początki funkcji do obróbki dźwięku w Perlu. Moduł
ten potrafi wczytywać i zapisywać pliki .au/.snd z Suna/NeXTa oraz
odtwarzać je przez sterowniki ALSA, NAS albo sunowskie (lub
kompatybilne) /dev/audio.

%package Play-Net
Summary:	Audio::Play::Net - nas driver for Audio module
Summary(pl.UTF-8):	Audio::Play::Net - sterownik nas do modułu Audio
Group:		Development/Languages/Perl
Requires:	%{name} = %{version}-%{release}

%description Play-Net
Audio::Play::Net - nas driver for Audio module.

%description Play-Net -l pl.UTF-8
Audio::Play::Net - sterownik nas do modułu Audio.

%package Tk
Summary:	Tk interface to Audio Perl module
Summary(pl.UTF-8):	Interfejs Tk do modułu Perla Audio
Group:		Development/Languages/Perl
Requires:	%{name} = %{version}-%{release}

%description Tk
Tk interface to Audio Perl module.

%description Tk -l pl.UTF-8
Interfejs Tk do modułu Perla Audio.

%package devel
Summary:	Audio Perl module - development files
Summary(pl.UTF-8):	Moduł Perla Audio - pliki nagłówkowe
Group:		Development/Languages/Perl
Requires:	%{name} = %{version}-%{release}

%description devel
Audio Perl module - development files.

%description devel -l pl.UTF-8
Moduł Perla Audio - pliki nagłówkowe.

%prep
%setup -q -n %{pdir}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="-Wall %{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# names are too common
cd $RPM_BUILD_ROOT%{_bindir}
for f in * ; do
	mv -f $f Audio-$f
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/Audio-[dmp]*
%{perl_vendorarch}/Audio/*.pm
%{perl_vendorarch}/Audio/Data
%dir %{perl_vendorarch}/Audio/Play
%{perl_vendorarch}/Audio/Play/linux.pm
%dir %{perl_vendorarch}/auto/Audio/Data
%{perl_vendorarch}/auto/Audio/Data/autosplit.ix
%{perl_vendorarch}/auto/Audio/Data/solve_polynomial.al
%attr(755,root,root) %{perl_vendorarch}/auto/Audio/Data/*.so
%dir %{perl_vendorarch}/auto/Audio/Play
%{perl_vendorarch}/auto/Audio/Play/autosplit.ix
%dir %{perl_vendorarch}/auto/Audio/Play/linux
%attr(755,root,root) %{perl_vendorarch}/auto/Audio/Play/linux/*.so
%{_mandir}/man3/*

%files Play-Net
%defattr(644,root,root,755)
%{perl_vendorarch}/Audio/Play/Net.pm
%dir %{perl_vendorarch}/auto/Audio/Play/Net
%attr(755,root,root) %{perl_vendorarch}/auto/Audio/Play/Net/*.so

%files Tk
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/Audio-t*
%{perl_vendorarch}/Tk/Scope.pm

%files devel
%defattr(644,root,root,755)
%doc README.Porting
%{perl_vendorarch}/Audio/*.h
%{perl_vendorarch}/Audio/*.m
%{perl_vendorarch}/Audio/*.t
%{perl_vendorarch}/Audio/typemap
%changelog
* Wed Dec 04 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Audio.git;a=log;h=master

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 2c8fe20
- rebuild with perl 5.30.0
- release 16 (by relup.sh)

* Thu Aug 30 2018 Jan Rękorajski <baggins@pld-linux.org> 4f7efe2
- rebuild with perl 5.28.0
- release 15 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 43061f5
- perl req/prov fix
- release 14 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 8c40806
- rebuild with perl 5.26
- release 13 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 43be87d
- rebuild with perl 5.24.0
- release 12 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 9645c56
- release 11 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> d19f20d
- x32 rebuild
- release 10 (by relup.sh)

* Tue Nov 25 2014 Elan Ruusamäe <glen@delfi.ee> 68113aa
- use generic url

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> e23b674
- release 9 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> a46ae4d
- release 8 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 234dfd8
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 6014612
- rebuild for perl 5.20
- release 7 (by relup.sh)

* Thu Jun 13 2013 Jan Rękorajski <baggins@pld-linux.org> 3e6861e
- fix format string error
- rel 6

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> f073a0a
- rebuild with perl 5.18.0
- release 5 (by relup.sh)

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> e3b7229
- release 4

* Mon Nov 16 2009 sparky <sparky@pld-linux.org> bb9e8ef
- rel 3, because of "auto/Audio/Data/Data.so: undefined symbol: Perl_pad_sv"

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 3552d45
- rel 2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> 2d28d71
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 54080aa
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> b96fdc2
- converted to UTF-8

